#include <canna/RK.h>
#include <stdio.h>
#include <getopt.h>
#include <stdlib.h>
#include "wimeapi.h"

const char VERSION[]="1.0.1";

void usage()
{
    printf("wimectrl [option]\n"
	   "  -k	kill wime\n"
	   "  -s	IME setting(default)\n"
	   "  -r	register word\n"
	   "  -d	user dictionary\n"
	   "  -v	version\n"
	   "  -h	this message\n"
	);
}

int main(int ac,char *av[])
{
    bool st;
    int c;
    int mode=1; //>0:⡼+1,0=λ,-1=kill-server

    while((c = getopt(ac,av,"ksrdvh")) != -1){
	switch(c){
	case 's':
	    mode = 1;
	    break;
	case 'r':
	    mode = 2;
	    break;
	case 'd':
	    mode = 3;
	    break;
	case 'v':
	    printf("%s\n",VERSION);
	    st = true;
	    mode = 0;
	    break;
	case 'k':
	    mode = -1;
	    break;
	default:
	    usage();
	    st = (c=='h');
	    mode = 0;
	}
    }
    if(mode != 0){
	RkInitialize("");
	st = mode>0 ? WimeOpenIMEDialog(mode-1) : WimeKillServer();
	RkFinalize();
    }
    return st ? 0 : 1;
}
